> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List the task's published pull request review threads



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/{taskID}/github/pr/threads
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/github/pr/threads:
    get:
      tags:
        - tasks
      summary: List the task's published pull request review threads
      operationId: getTaskGithubPullRequestThreads
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  threads:
                    items:
                      $ref: '#/components/schemas/TaskGitHubPullRequestThread'
                    type: array
                required:
                  - threads
                type: object
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
components:
  schemas:
    TaskGitHubPullRequestThread:
      additionalProperties: false
      properties:
        comments:
          items:
            $ref: '#/components/schemas/TaskGitHubPullRequestThreadComment'
          type: array
        id:
          minLength: 1
          type: string
        is_outdated:
          type: boolean
        is_resolved:
          type: boolean
        line:
          format: int64
          minimum: 1
          type:
            - integer
            - 'null'
        path:
          minLength: 1
          type: string
      required:
        - id
        - path
        - line
        - is_resolved
        - is_outdated
        - comments
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    TaskGitHubPullRequestThreadComment:
      additionalProperties: false
      properties:
        author_association:
          minLength: 1
          type: string
        author_login:
          minLength: 1
          type:
            - string
            - 'null'
        body:
          type: string
        comment_id:
          format: int64
          maximum: 9007199254740991
          minimum: 1
          type: integer
        created_at:
          format: date-time
          type: string
      required:
        - comment_id
        - author_login
        - author_association
        - body
        - created_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````